## bioperl ubuntu-12.04

=== perl/App-cpanminus-1.7040/Makefile ===
# This Makefile is for the App::cpanminus extension to perl.
#
# It was generated automatically by MakeMaker version
# 7.0401 (Revision: 70401) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     ABSTRACT => q[get, unpack, build and install modules from CPAN]
#     AUTHOR => [q[- Tatsuhiko Miyagawa]]
#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => { ExtUtils::MakeMaker=>q[0] }
#     DISTNAME => q[App-cpanminus]
#     EXE_FILES => [q[bin/cpanm]]
#     LICENSE => q[perl]
#     MIN_PERL_VERSION => q[5.008001]
#     NAME => q[App::cpanminus]
#     PREREQ_PM => { Test::More=>q[0] }
#     TEST_REQUIRES => { Test::More=>q[0] }
#     VERSION => q[1.7040]
#     test => { TESTS=>q[t/*.t] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = cc
LDDLFLAGS = -shared -O2 -L/usr/local/lib -fstack-protector
LDFLAGS =  -fstack-protector -L/usr/local/lib
LIBC = libc-2.15.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 3.2.0-113-virtual
RANLIB = :
SITELIBEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1
SITEARCHEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1/x86_64-linux
SO = so
VENDORARCHEXP = 
VENDORLIBEXP = 


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = App::cpanminus
NAME_SYM = App_cpanminus
VERSION = 1.7040
VERSION_MACRO = VERSION
VERSION_SYM = 1_7040
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 1.7040
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /opt/chipster/tools/bioperl/perl/5.22.1
SITEPREFIX = /opt/chipster/tools/bioperl/perl/5.22.1
VENDORPREFIX = 
INSTALLPRIVLIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = 
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1/x86_64-linux
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = 
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = 
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = 
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = 
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = 
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1
PERL_ARCHLIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux
PERL_ARCHLIBDEP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux/CORE
PERL_INCDEP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux/CORE
PERL = "/mnt/tools/bioperl/perl/5.22.1/bin/perl"
FULLPERL = "/mnt/tools/bioperl/perl/5.22.1/bin/perl"
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/ExtUtils/MakeMaker.pm
MM_VERSION  = 7.0401
MM_REVISION = 70401

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = App/cpanminus
BASEEXT = cpanminus
PARENT_NAME = App
DLBASE = $(BASEEXT)
VERSION_FROM = 
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = bin/cpanm
MAN3PODS = lib/App/cpanminus.pm \
	lib/App/cpanminus/fatscript.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIBDEP)$(DFSEP)Config.pm $(PERL_INCDEP)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/App
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/App

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVEDEP    = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = lib/App/cpanminus.pm \
	lib/App/cpanminus/fatscript.pm

PM_TO_BLIB = lib/App/cpanminus.pm \
	blib/lib/App/cpanminus.pm \
	lib/App/cpanminus/fatscript.pm \
	blib/lib/App/cpanminus/fatscript.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 7.0401
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --
CP_NONEMPTY = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'cp_nonempty' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = App-cpanminus
DISTVNAME = App-cpanminus-1.7040


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN1DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN1DIR)$(DFSEP).exists

$(INST_MAN3DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN3DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN3DIR)$(DFSEP).exists



# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) $(BOOTSTRAP) $(INST_DYNAMIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
static :: $(FIRST_MAKEFILE) $(INST_STATIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:

=== perl/DB_File-1.838/Makefile ===
# This Makefile is for the DB_File extension to perl.
#
# It was generated automatically by MakeMaker version
# 7.0401 (Revision: 70401) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     ABSTRACT_FROM => q[DB_File.pm]
#     AUTHOR => [q[Paul Marquess <pmqs@cpan.org>]]
#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => {  }
#     DEFINE => q[-D_NOT_CORE  -DmDB_Prefix_t=size_t -DmDB_Hash_t=u_int32_t  ]
#     INC => q[-I/opt/chipster/tools/bioperl/berkeleydb/include]
#     INSTALLDIRS => q[site]
#     LIBS => [q[-L/opt/chipster/tools/bioperl/berkeleydb/lib -ldb]]
#     LICENSE => q[perl]
#     NAME => q[DB_File]
#     OBJECT => q[version$(OBJ_EXT) DB_File$(OBJ_EXT)]
#     PREREQ_PM => {  }
#     TEST_REQUIRES => {  }
#     VERSION_FROM => q[DB_File.pm]
#     XSPROTOARG => q[-noprototypes]
#     XS_VERSION => q[1.838]
#     clean => { FILES=>q[constants.h constants.xs DB_File.pm.bak t/db-btree.t.bak t/db-hash.t.bak t/db-recno.t.bak t/pod.t.bak] }
#     depend => { Makefile=>q[config.in], version$(OBJ_EXT)=>q[version.c] }
#     dist => { COMPRESS=>q[gzip], DIST_DEFAULT=>q[MyDoubleCheck tardist], SUFFIX=>q[gz] }
#     macro => { my_files=>q[DB_File.pm t/db-btree.t t/db-hash.t t/db-recno.t t/pod.t] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = cc
LDDLFLAGS = -shared -O2 -L/usr/local/lib -fstack-protector
LDFLAGS =  -fstack-protector -L/usr/local/lib
LIBC = libc-2.15.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 3.2.0-113-virtual
RANLIB = :
SITELIBEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1
SITEARCHEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1/x86_64-linux
SO = so
VENDORARCHEXP = 
VENDORLIBEXP = 


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = DB_File
NAME_SYM = DB_File
VERSION = 1.838
VERSION_MACRO = VERSION
VERSION_SYM = 1_838
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 1.838
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /opt/chipster/tools/bioperl/perl/5.22.1
SITEPREFIX = /opt/chipster/tools/bioperl/perl/5.22.1
VENDORPREFIX = 
INSTALLPRIVLIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = 
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1/x86_64-linux
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = 
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = 
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = 
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = 
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = 
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1
PERL_ARCHLIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux
PERL_ARCHLIBDEP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux/CORE
PERL_INCDEP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux/CORE
PERL = "/mnt/tools/bioperl/perl/5.22.1/bin/perl"
FULLPERL = "/mnt/tools/bioperl/perl/5.22.1/bin/perl"
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/ExtUtils/MakeMaker.pm
MM_VERSION  = 7.0401
MM_REVISION = 70401

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = DB_File
BASEEXT = DB_File
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = DB_File.pm
INC = -I/opt/chipster/tools/bioperl/berkeleydb/include
DEFINE = -D_NOT_CORE  -DmDB_Prefix_t=size_t -DmDB_Hash_t=u_int32_t  
OBJECT = version$(OBJ_EXT) DB_File$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = DB_File_BS

# Handy lists of source code files:
XS_FILES = DB_File.xs \
	fallback.xs
C_FILES  = DB_File.c \
	fallback.c \
	version.c
O_FILES  = DB_File.o \
	fallback.o \
	version.o
H_FILES  = fallback.h \
	ppport.h
MAN1PODS = 
MAN3PODS = DB_File.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIBDEP)$(DFSEP)Config.pm $(PERL_INCDEP)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC     = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT        = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVEDEP    = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = DB_File.pm

PM_TO_BLIB = DB_File.pm \
	$(INST_LIB)/DB_File.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 7.0401
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/ExtUtils
XSUBPP = "$(XSUBPPDIR)$(DFSEP)xsubpp"
XSUBPPRUN = $(PERLRUN) $(XSUBPP)
XSPROTOARG = -noprototypes
XSUBPPDEPS = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/ExtUtils/typemap typemap /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/ExtUtils$(DFSEP)xsubpp
XSUBPPARGS = -typemap "/opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/ExtUtils/typemap" -typemap "typemap"
XSUBPP_EXTRA_ARGS =


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --
CP_NONEMPTY = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'cp_nonempty' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = MyDoubleCheck tardist
DISTNAME = DB_File
DISTVNAME = DB_File-1.838


# --- MakeMaker macro section:
my_files = DB_File.pm t/db-btree.t t/db-hash.t t/db-recno.t t/pod.t


# --- MakeMaker depend section:
Makefile : config.in
version$(OBJ_EXT) : version.c


# --- MakeMaker cflags section:

CCFLAGS = -fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
OPTIMIZE = -O2
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# DB_File might depend on some other libraries:
# See ExtUtils::Liblist for details
#
EXTRALIBS = -L/opt/chipster/tools/bioperl/berkeleydb/lib -ldb
LDLOADLIBS = -L/opt/chipster/tools/bioperl/berkeleydb/lib -ldb
BSLOADLIBS = 
LD_RUN_PATH = /opt/chipster/tools/bioperl/berkeleydb/lib


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PREFIX="$(PREFIX)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:

.c.i:
	cc  -E -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c > $*.i

.c.s:
	$(CCCMD) -S $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cxx

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cc

.C$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.C


# --- MakeMaker xs_c section:

.xs.c:

## bioperl 0.05.1-1

=== debian/changelog ===
bioperl (0.05.1-1) unstable; urgency=low

  * Complies with the new Perl policy. Closes #40564
  * New upstream release

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed,  7 Jul 1999 14:49:16 +0200

bioperl (0.05-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed, 19 May 1999 11:35:30 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "bortzmeyer@debian.org"
End:

=== debian/control ===
Source: bioperl
Section: misc
Priority: optional
Maintainer: Stephane Bortzmeyer <bortzmeyer@debian.org>
Standards-Version: 2.4.0.0

Package: bioperl
Architecture: all
Depends: perl|perl5,readseq
Recommends: libwww-perl,libhtml-parser-perl
Description: [Biology] Perl tools for computational molecular biology
 The Bioperl project is a coordinated effort to collect computational methods
 routinely used in bioinformatics into a set of standard CPAN-style,
 well-documented, and freely available Perl modules.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	perl Makefile.PL INSTALLDIRS=perl
	$(MAKE) 

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) realclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install PREFIX=`pwd`/debian/tmp/usr INSTALLMAN3DIR=`pwd`/debian/tmp/usr/man/man3 
	rm -f debian/tmp/usr/lib/perl5/*-linux/*/perllocal.pod

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples examples/*
	chmod a-x -R debian/tmp/usr/doc/bioperl/examples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	mv debian/tmp/usr/doc/bioperl/Changes debian/tmp/usr/doc/bioperl/changelog
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## bioperl 1.6.901

=== debian/changelog ===
bioperl (1.6.901-2) unstable; urgency=low

  [ Luca Capello ]
  * debian/control:
    + add Recommends: to some libraries already in libbio-perl-perl's
      for binaries showing help output (Closes: #650412).
  * debian/README.Debian:
    + new file with a more detailed explanation about the above.

  [ Andreas Tille ]
  * debian/source/format: 3.0 (quilt)
  * Added myself to Uploaders

 -- Andreas Tille <tille@debian.org>  Wed, 14 Dec 2011 09:11:41 +0100

bioperl (1.6.901-1) unstable; urgency=low

  * New upstream release.
  * Point debian/watch to search.cpan.org.
  * Build using dh and overrides:
    - Use Debhelper 8 (debian/rules, debian/control).
    - Simplified debian/rules.
  * Split into libbio-perl-perl, as discussed with the Debian Perl team.
    (debian/control, debian/bioperl.install, debian libbio-perl-perl.install)
  * debian/control:
    - Incremented Standards-Version to reflect conformance with Policy 3.9.2.
      No other changes needed.
    - Vcs-Browser URL made redirectable to viewvc.
    - Removed useless ‘svn’ in the Vcs-Svn URL.

 -- Charles Plessy <plessy@debian.org>  Fri, 17 Jun 2011 13:51:18 +0900

bioperl (1.6.1-2) unstable; urgency=low

  * Removed bibliographic information from the long description
    (debian/control).
  * Incremented Standards-Version to reflect conformance with Policy 3.8.4
    (debian/control, no changes needed).
  * Build-depends on libxml-sax-expatxs-perl to avoid downloading DTDs during
    the tests and therefore fail when network is not available
    (debian/control, Closes: #562442).
  * Depend on the ${misc:Depends} substvar (debian/control).

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Feb 2010 23:52:23 +0900

bioperl (1.6.1-1) unstable; urgency=low

  * New upstream release with new features and many corrections in the
    test suite (Closes: #533976).
  * debian/rules: trigger network tests with DEB_MAINTAINER_MODE.
  * debian/control:
    - Build-depend on perl-modules >= 5.10.1 to have ExtUtils::Manifest 1.52 or
      higher, and on libtest-pod-perl.
    - Added liblist-moreutils-perl, libspreadsheet-writeexcel-perl,
      libsvg-perl, and libxml-simple-perl, libdbd-pg-perl, libdbd-mysql-perl,
      libdbd-sqlite3-perl to build and package dependencies (needed by some
      components of Bioperl, and therefore for the tests).

 -- Charles Plessy <plessy@debian.org>  Wed, 30 Sep 2009 18:56:42 +0900

bioperl (1.6.0-3) unstable; urgency=low

  [ David Paleino ]
  * Removed myself from Uploaders

  [ Charles Plessy ]
  * debian/control:
    - Added libdata-stag-perl in bioperl’s Depends field, since it is
      required in Build.PL.
    - Added libxml-simple-perl in bioperl’s Recommends and Build-Depends
      fields, since they are listed in DEPENDENCIES.
    - Incremented Standards-Version to reflect conformance with Policy 3.8.3
      (no changes needed).
  * Collected some informations in debian/upstream-metadata.yaml.

 -- Charles Plessy <plessy@debian.org>  Fri, 18 Sep 2009 20:23:51 +0900

bioperl (1.6.0-2) unstable; urgency=low

  * Removed patch system (not used):
    - removed instructions in debian/rules;
    - removed quilt from Build-Depends in debian/control.
  * Re-enabled tests:
    - uncommented test command in debian/rules;
    - uncommented previously missing build-dependencies in debian/control.
    - Re-enabled tests and uncommented build-dependencies accordingly.
  * Removed libmodule-build-perl and libtest-harness-perl from
    Build-Depends-Indep (provided by perl-modules).
  * Better cleaning of empty directories using find -type d -empty -delete
    instead of rmdir in debian/rules (LP: #324001).

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Mar 2009 07:19:11 +0100

bioperl (1.6.0-1) experimental; urgency=low

  [ Charles Plessy ]
  * debian/control
    - Updated dependencies according to the new upstream release.
    - Added the CPAN dependencies of BioPerl to Build-Depends-Indep in order to
      run the tests at build time.
    - Added bioperl-run to the recommended packages.
    - Updated my email address.
    - Uses Debhelper 7 (debian/compat modified accordingly).
  * debian/patches: removed as not needed (no downloads by default).
  * debian/rules:
    - Uses Build.PL instead of Makefile.PL.
    - Tests disabled for the experimental upload: not all dependencies are
      available yet.
  * debian/README.{Debian,source}: removed as not needed anymore
  * debian/watch: BioPerl is now mixed case.

  [ David Paleino ]
  * New upstream stable release:
    - fixes Bio::AlignIO::next_aln bug (Closes: #266921).
    - New modules, deprecated modules,… please consult Upstream documents in
      /usr/share/doc/bioperl.
  * debian/control:
    - fields values rewrapped to easily spot diffs in commit mails
    - dropped B-D-I versioning on perl, since Etch already has a greater 
      version
    - Standards-Version bumped to 3.8.0 (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Mon, 26 Jan 2009 12:58:28 +0900

bioperl (1.5.2.102-3) unstable; urgency=low

  * debian/control:
    - Removed MIA Matt Hope (dopey) from the Uploaders field.
      Thank you for your work, Matt. I hope you are doing well.
    - Downgraded some recommended package to the 'Suggests' priority,
      according to the following discussion on Upstream's mail list.
      http://bioperl.org/pipermail/bioperl-l/2008-March/027379.html
      (Closes: #448890)
  * debian/copyright converted to machine-readable format.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Tue, 18 Mar 2008 14:44:57 +0900

bioperl (1.5.2.102-2) unstable; urgency=low

  [ Steffen Moeller ]
  * Added reference to libsvg-graph-perl (Closes: #342475).

  [ Nelson A. de Oliveira ]
  * debian/control:
    - Removed the XS- prefix from Vcs-Browser and Vcs-Svn
    - Moved debhelper and quilt from Build-Depends-Indep to Build-Depends
  * Updated debian/copyright

  [ David Paleino ]
  * debian/control:


=== debian/control ===
Source: bioperl
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>,
 Steffen Moeller <moeller@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl, perl-modules (>= 5.10.1),
 libio-string-perl,
 libdata-stag-perl,
# Recommended in Build.PL (we want them to run the tests)
 libace-perl,
 libalgorithm-munkres-perl,
 libarray-compare-perl,
 libbio-asn1-entrezgene-perl,
 libclone-perl,
 libconvert-binary-c-perl,
 libdbd-sqlite3-perl,
 libdbd-mysql-perl,
 libdbd-pg-perl,
 libgraph-perl,
 libgraphviz-perl,
 libhtml-parser-perl,
 liblist-moreutils-perl,
# (non-free) libmath-random-perl,
 libpostscript-perl,
 libset-scalar-perl,
 libsoap-lite-perl,
 libsort-naturally-perl,
 libspreadsheet-parseexcel-perl,
 libspreadsheet-writeexcel-perl,
 libstorable-perl,
 libsvg-perl,
 libsvg-graph-perl,
 libtest-pod-perl,
 liburi-perl,
 libxml-dom-xpath-perl,
 libxml-parser-perl,
 libxml-sax-perl,
 libxml-sax-writer-perl,
 libxml-twig-perl,
 libxml-simple-perl,
 libxml-writer-perl,
 libxml-libxml-perl,
 libwww-perl,
# Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
 libxml-sax-expatxs-perl
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/viewvc/debian-med/trunk/packages/bioperl/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/bioperl/trunk/
Homepage: http://www.bioperl.org/

Package: bioperl
Architecture: all
Depends: libbio-perl-perl ( = ${source:Version} ), ${misc:Depends}, ${perl:Depends}
Recommends: bioperl-run ( >= 1.6.0 ),
# for the following see #650412
# most of `binary -help` outputs
 perl-doc,
# some libraries already in libbio-perl-perl's Recommends:
# bp_biofetch_genbank_proxy
 libhttp-message-perl,
 libwww-perl,
 libcache-cache-perl,
# bp_blast2tree
 libbio-perl-run-perl,
# bp_bulk_load_gff
 libdbi-perl,
# bp_chaos_plot
 libgd-gd2-perl,
# bp_das_server
 libapache-dbi-perl,
# bp_download_query_genbank
 liburi-perl,
# bp_einfo
#	liburi-perl
#	libhttp-message-perl
 libxml-simple-perl,
# bp_fast_load_gff
#	libdbi-perl
# bp_fetch [not for local indexing]
# bp_flanks
#	libhttp-message-perl
# bp_genbank2gff
#	libhttp-message-perl
#	libdbi-perl
# bp_genbank2gff3
 libyaml-perl,
# bp_hivq
#	libhttp-message-perl
#	libxml-simple-perl
# bp_meta_gff
#	libdbi-perl
# bp_netinstall
# bp_pairwise_kaks
#	libbio-perl-run-perl
# bp_process_wormbase
 libace-perl,
# bp_query_entrez_taxa
# bp_remote_blast
# bp_revtrans-motif
 liblist-moreutils-perl,
# bp_taxid4species
 libxml-twig-perl,
# bp_taxonomy2tree
 libset-scalar-perl
Suggests: groff-base
Description: Perl tools for computational molecular biology
 The Bioperl project is a coordinated effort to collect computational methods
 routinely used in bioinformatics into a set of standard CPAN-style,
 well-documented, and freely available Perl modules. It is well-accepted
 throughout the community and used in many high-profile projects, e.g.,
 Ensembl.
 .
 The recommended packages are needed to run some of the included
 binaries, for a detailed explanation including the specific Perl
 modules please see README.Debian.
 .
 The suggested package enhances the manual pages.

Package: libbio-perl-perl
Section: perl
Architecture: all
Depends: libio-string-perl, libdata-stag-perl, ${misc:Depends}, ${perl:Depends}
Replaces: bioperl ( << 1.6.9 )
Breaks: bioperl ( << 1.6.9 )
# Temporary workaround as bioperl-run has not been split
Recommends: bioperl-run ( >= 1.6.0 ) | libbio-perl-run-perl ( >= 1.6.0 ),
# Recommended in Build.PL
 libace-perl,
 libalgorithm-munkres-perl,
 libarray-compare-perl,
 libbio-asn1-entrezgene-perl,
 libclone-perl,
 libconvert-binary-c-perl,
 libdbd-sqlite3-perl,
 libdbd-mysql-perl,
 libdbd-pg-perl,
 libgraph-perl,
 libgraphviz-perl,
 libhtml-parser-perl,
 liblist-moreutils-perl,
# (non-free) libmath-random-perl,
 libpostscript-perl,
 libset-scalar-perl,
 libsoap-lite-perl,
 libsort-naturally-perl,
 libspreadsheet-parseexcel-perl,
 libspreadsheet-writeexcel-perl,
 libstorable-perl,
 libsvg-perl,
 libsvg-graph-perl,
 liburi-perl,
 libxml-dom-xpath-perl,
 libxml-parser-perl,
 libxml-sax-perl,
 libxml-sax-writer-perl,
 libxml-simple-perl,
 libxml-twig-perl,
 libxml-writer-perl,
 libxml-libxml-perl,
 libwww-perl
Suggests: bioperl,
 libmath-random-perl,
# libmath-random-perl is non-free.
 libxml-sax-expatxs-perl
# Needed to avoid downloading DTDs.
Description: BioPerl core perl modules
 BioPerl is a toolkit of perl modules useful in building bioinformatics
 solutions in Perl. It is built in an object-oriented manner so that many
 modules depend on each other to achieve a task. The collection of modules in
 libbio-perl-perl consist of the core of the functionality of bioperl.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(DEB_MAINTAINER_MODE))
NETWORK = --network
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(NETWORK)

override_dh_clean:
	dh_clean build-stamp install-stamp bioperl.conf biodatabases.pod \
	biodesign.pod bioperl.pod bioscripts.pod

override_dh_install:
	dh_install
	# prename is the rename utility written in perl usually available as /usr/bin/rename in Debian.
	prename s/.pl$$// debian/bioperl/usr/bin/*pl
	prename s/.pl.1p$$/.1p/ debian/bioperl/usr/share/man/man1/*1p

override_dh_installchangelogs:
	dh_installchangelogs Changes 

override_dh_installexamples:
	dh_installexamples examples/*

## bioperl 1.6.923

=== debian/changelog ===
bioperl (1.6.923-1) unstable; urgency=medium

  * New upstream release.
  * Does not need non-free libmath-random-perl anymore.
  * Build-depend on libmodule-build-perl (>= 0.420000).  Despite Lintian's
    warning that it is useless, the package does not build without.
  * Conforms to Policy version 3.9.5.

 -- Charles Plessy <plessy@debian.org>  Sat, 18 Jan 2014 11:41:11 +0900

bioperl (1.6.922-1) unstable; urgency=low

  * New upstream release.
  * Replaces and Breaks grinder (<< 0.5.3-3~) because of overlaping contents.
    Closes: #722910
  * Stop Replacing and Breaking bioperl ( << 1.6.9 ): not needed anymore. 

 -- Charles Plessy <plessy@debian.org>  Sun, 22 Sep 2013 13:39:48 +0900

bioperl (1.6.920-1) unstable; urgency=low

  * New upstream release (Closes: #720776)
  * Adjusted Depends and Recommends (4 additions).
  * Removed patch ‘fix_berkeleydb3_temp_file_creation’ applied upstream.
  * Use canonical VCS URLs. 

 -- Charles Plessy <plessy@debian.org>  Sun, 08 Sep 2013 20:56:00 +0900

bioperl (1.6.901-4) unstable; urgency=low

  * debian/upstream: Add additional citation data
  [ Olivier Sallou ]
  * add missing dependency
  * Switch to standards 3.9.4

 -- Andreas Tille <tille@debian.org>  Tue, 08 May 2012 23:06:09 +0200

bioperl (1.6.901-3) unstable; urgency=low

  * Team upload.
    [ Olivier Sallou ]
    + add patch fix_berkeleydb3_temp_file_creation (Closes: #661793).
      Fixed upstream for next release. 
    * debian/control: update Standards version
    * debian/copyright: update Format to latest officiel URL v1.0
    * debian/patches/fix_examples_perl_location: fix wrong perl location
    * debian/rules: fix file access rights in dh_install

 -- Olivier Sallou <osallou@debian.org>  Fri, 02 Mar 2012 11:10:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,34 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Steffen Moeller <moeller@debian.org>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8)
+ Andreas Tille <tille@debian.org>,
+ Olivier Sallou <osallou@debian.org>
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl, perl-modules (>= 5.10.1),
+# Unnecessary according to lintian, but building with sbuild shows the contrary.
+ libmodule-build-perl (>= 0.420000),
  libio-string-perl,
  libdata-stag-perl,
+ libtest-most-perl,
 # Recommended in Build.PL (we want them to run the tests)
  libace-perl,
  libalgorithm-munkres-perl,
  libarray-compare-perl,
  libbio-asn1-entrezgene-perl,
+ libbio-samtools-perl,
  libclone-perl,
  libconvert-binary-c-perl,
  libdbd-sqlite3-perl,
  libdbd-mysql-perl,
  libdbd-pg-perl,
+ libgd-perl,
  libgraph-perl,
  libgraphviz-perl,
  libhtml-parser-perl,
+ libhtml-tableextract-perl,
  liblist-moreutils-perl,
-# (non-free) libmath-random-perl,
  libpostscript-perl,
  libset-scalar-perl,
  libsoap-lite-perl,
@@ -47,9 +52,9 @@
  libwww-perl,
 # Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
  libxml-sax-expatxs-perl
-Standards-Version: 3.9.2
-Vcs-Browser: http://svn.debian.org/viewvc/debian-med/trunk/packages/bioperl/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/bioperl/trunk/
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/bioperl/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/bioperl/trunk/
 Homepage: http://www.bioperl.org/
 
 Package: bioperl
@@ -124,8 +129,8 @@
 Section: perl
 Architecture: all
 Depends: libio-string-perl, libdata-stag-perl, ${misc:Depends}, ${perl:Depends}
-Replaces: bioperl ( << 1.6.9 )
-Breaks: bioperl ( << 1.6.9 )
+Replaces: grinder (<< 0.5.3-3~)
+Breaks: grinder (<< 0.5.3-3~)
 # Temporary workaround as bioperl-run has not been split
 Recommends: bioperl-run ( >= 1.6.0 ) | libbio-perl-run-perl ( >= 1.6.0 ),
 # Recommended in Build.PL
@@ -138,11 +143,12 @@
  libdbd-sqlite3-perl,
  libdbd-mysql-perl,
  libdbd-pg-perl,
+ libgd-perl,
  libgraph-perl,
  libgraphviz-perl,
  libhtml-parser-perl,
+ libhtml-tableextract-perl,
  liblist-moreutils-perl,
-# (non-free) libmath-random-perl,
  libpostscript-perl,
  libset-scalar-perl,
  libsoap-lite-perl,
@@ -163,8 +169,6 @@
  libxml-libxml-perl,
  libwww-perl
 Suggests: bioperl,
- libmath-random-perl,
-# libmath-random-perl is non-free.
  libxml-sax-expatxs-perl
 # Needed to avoid downloading DTDs.
 Description: BioPerl core perl modules

## bioperl 1.6.924

=== debian/changelog ===
bioperl (1.6.924-3) unstable; urgency=medium

  * Fix FTBFS with perl 5.22
    Closes: #796259
  * Standards-Version: 3.9.6

 -- Andreas Tille <tille@debian.org>  Thu, 20 Aug 2015 23:11:32 +0200

bioperl (1.6.924-2) unstable; urgency=medium

  * d/control: add perl-modules for perl 5.22 transition
               (Closes: #790305). 

 -- Olivier Sallou <osallou@debian.org>  Mon, 29 Jun 2015 09:05:22 +0200

bioperl (1.6.924-1) unstable; urgency=medium

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Sun, 13 Jul 2014 19:16:01 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Andreas Tille <tille@debian.org>,
  Olivier Sallou <osallou@debian.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: perl, perl-modules (>= 5.10.1),
+Build-Depends-Indep: perl,
 # Unnecessary according to lintian, but building with sbuild shows the contrary.
  libmodule-build-perl (>= 0.420000),
  libio-string-perl,
@@ -19,6 +19,7 @@
  libarray-compare-perl,
  libbio-asn1-entrezgene-perl,
  libbio-samtools-perl,
+ libcgi-pm-perl | perl (<< 5.19),
  libclone-perl,
  libconvert-binary-c-perl,
  libdbd-sqlite3-perl,
@@ -52,7 +53,7 @@
  libwww-perl,
 # Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
  libxml-sax-expatxs-perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/bioperl/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/bioperl/trunk/
 Homepage: http://www.bioperl.org/

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	# prename is the rename utility written in perl usually available as /usr/bin/rename in Debian.
 	prename s/.pl$$// debian/bioperl/usr/bin/*pl
 	prename s/.pl.1p$$/.1p/ debian/bioperl/usr/share/man/man1/*1p
+	chmod 644 debian/libbio-perl-perl/usr/share/perl5/Bio/DB/HIV/lanl-schema.xml
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changes

=== debian/watch ===
version=3
http://search.cpan.org/dist/BioPerl/   .*/BioPerl-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
